Bug 816493 - Network time can't be enabled
Network time can't be enabled
Product: Fedora
Classification: Fedora
Component: chrony (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
Depends On: 815748
Blocks: F17Blocker/F17FinalBlocker
  Show dependency treegraph
Reported: 2012-04-26 05:20 EDT by Michal Schmidt
Modified: 2012-05-02 00:46 EDT (History)
16 users (show)

See Also:
Fixed In Version: chrony-1.27-0.3.pre1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 815748
Last Closed: 2012-05-02 00:46:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-04-26 05:20:19 EDT
+++ This bug was initially created as a clone of Bug #815748 +++

Description of problem:
Clean installation of F17 Beta i686 Live into VM. I open Date and Time configuration and slide "Network Time" to ON. When I check in terminal, chronyd.service is disabled and stopped.

I reboot. chronyd.service is obviously still disabled and stopped. When I open Date and Time configuration, "Network Time" is set to OFF.

Version-Release number of selected component (if applicable):

How reproducible:
on VM and on bare-metal

Expected results:
chronyd.service is enabled and running, time is synchronized, and date and time configuration shows that network time is enabled.

--- Additional comment from kparal@redhat.com on 2012-04-24 08:32:23 EDT ---

Proposing as F17 blocker:

"All elements of the default panel (or equivalent) configuration in all release-blocking desktops must function correctly in common use"

--- Additional comment from kparal@redhat.com on 2012-04-24 09:24:59 EDT ---

Please note that when I select "Synchronize time over the network" in firstboot, it enables and starts chronyd.service correctly, but Date and Time configuration still shows "Network Time" as OFF. It is probably related issue. If it is not, I'll report it separately, let me know.

--- Additional comment from mclasen@redhat.com on 2012-04-24 19:24:21 EDT ---

Apr 24 19:21:42 localhost.localdomain systemd-timedat[2609]: Failed to issue method call: No such file or directory

I guess the problem is that systemd-timedated is trying to activate ntpd, not chrony

--- Additional comment from lpoetter@redhat.com on 2012-04-25 10:56:26 EDT ---

systemd upstream will now activate/enable systemd-timedated-ntp.target instead of ntpd.service or chrony.service. These two packages should then hook into the target to get started indirectly.


What's left to do: 

- get this into Fedora
- updte chrony and ntpd to include the necessary .wants/ symlink and BindTo directive

--- Additional comment from mclasen@redhat.com on 2012-04-25 12:03:00 EDT ---

Can you provide chrony/ntpd patches and file bugs ?

--- Additional comment from updates@fedoraproject.org on 2012-04-25 20:31:35 EDT ---

systemd-44-7.fc17 has been submitted as an update for Fedora 17.

--- Additional comment from mschmidt@redhat.com on 2012-04-26 05:18:46 EDT ---

(In reply to comment #4)
> What's left to do: 
> - get this into Fedora

systemd-44-7.fc17 has it.

> - updte chrony and ntpd to include the necessary .wants/ symlink and BindTo
> directive

By the necessary .wants/ symlink you mean:

/usr/lib/systemd/system/systemd-timedated-ntp.target.wants/chronyd.service -> ../chronyd.service

(i.e. ship it in the package. Not create it using the [Install] section)

The BindTo directive will go into chronyd.service's [Unit] section and say:

Going to clone this bug for chrony and ntpd now.
Comment 1 Tim Flink 2012-04-26 13:26:33 EDT
It took me a minute to figure out what was going on here but what I'm understanding is:

 - The issue is still that ntp can't be enabled
 - Changes to chronyd and ntpd are required in addition to the changes to systemd

If I'm right, I'm tempted to say "remove as a proposed blocker" since it already blocks #815748 - the main issue.
Comment 2 Fedora Update System 2012-04-27 10:18:36 EDT
chrony-1.27-0.3.pre1.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-04-27 19:36:16 EDT
Package chrony-1.27-0.3.pre1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chrony-1.27-0.3.pre1.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-02 00:46:22 EDT
chrony-1.27-0.3.pre1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.